# -*- encoding: utf-8 -*-
# stub: rgl 0.6.7 ruby lib

Gem::Specification.new do |s|
  s.name = "rgl".freeze
  s.version = "0.6.7".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://github.com/monora/rgl/blob/master/CHANGELOG.md", "homepage_uri" => "https://github.com/monora/rgl", "rubygems_mfa_required" => "true", "source_code_uri" => "https://github.com/monora/rgl" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Horst Duchene".freeze, "Kirill Lashuk".freeze]
  s.date = "2026-05-10"
  s.description = "RGL is a framework for graph data structures and algorithms".freeze
  s.email = "monora@gmail.com".freeze
  s.homepage = "https://github.com/monora/rgl".freeze
  s.licenses = ["Ruby".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 3.1".freeze)
  s.rubygems_version = "3.5.22".freeze
  s.summary = "Ruby Graph Library".freeze

  s.installed_by_version = "3.5.22".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<stream>.freeze, ["~> 0.5.3".freeze])
  s.add_runtime_dependency(%q<pairing_heap>.freeze, [">= 0.3".freeze, "< 4.0".freeze])
  s.add_runtime_dependency(%q<rexml>.freeze, ["~> 3.2".freeze, ">= 3.2.4".freeze])
end
